spack:
  include:
      - compiler_definitions.yaml

      - packages_stack.yaml
      - packages_accel.yaml
      - packages_env.yaml

      - modules_stack.yaml
      - modules_env.yaml
      - modules_accel.yaml

      - definitions_accel.yaml
      - definitions_env.yaml
      - definitions_stack.yaml

  modules:
    default:
      lmod:
        hierarchy: ['mpi']

  packages:
    blas:
      require: ['amdblis +blas']

    lapack:
      require: ['amdlibflame +lapack2flame']

    mpi:
      require: ['openmpi']

    scalapack:
      require: ['amdscalapack']

    aocc:
      require: ['@4.2.0', 'license-agreed=true'
                '%gcc@11.2.1', 'target=x86_64_v3']

    icu4c:
      require: ['%gcc']

  definitions:
    # -------------------------------------------------------------------------
    # PE definition
    # -------------------------------------------------------------------------
    - mpi_aocc: ['openmpi']
    - blas_aocc: ['amdblis']

  specs:
    - matrix:
        - [$compilers_specs]

    # --------------------------------------------------------------------------
    - matrix:
        - [$serial_codes]
        - [$%compiler_aocc]

    - matrix:
        - [$mpi_codes]
        - [$^mpi_aocc]
        - [$%compiler_aocc]

    - matrix:
        - [$aocc_mpi_codes]
        - [$^mpi_aocc]
        - [$%compiler_aocc]

    - matrix:
        - [$mpi_blas_codes]
        - [$^blas_aocc]
        - [$^mpi_aocc]
        - [$%compiler_aocc]

    - matrix:
        - [$mpi_blas_python_codes]
        - [$^blas_aocc]
        - [$^mpi_aocc]
        - [$%compiler_aocc]

  view: false
